.wp-block-search__label {
    font-size: var(--wp--preset--font-size--large);
    margin-bottom: 1rem;
    display: block;
}

.wp-block-query-no-results + .wp-block-query-total {
    display: none;
}

/* Search listing */
.search-listing {
    margin-block-start: var(--wp--preset--spacing--30);
}

.search-listing > * + *,
.search-listing + .wp-block-query-pagination {
    border-block-start: 1px solid var(--wp--preset--color--neutral-300);
    margin-block-start: var(--wp--preset--spacing--30);
    padding-block-start: var(--wp--preset--spacing--30);
}

/* Search pagination */
.sba-search-pagination {
    align-items: center;
    gap: var(--wp--preset--spacing--10);
}

.sba-search-pagination .wp-block-query-pagination-numbers {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
}

.sba-search-pagination .page-numbers {
    border: 1px solid var(--wp--preset--color--secondary);
    color: var(--wp--preset--color--primary);
    display: inline-block;
    padding: 0.4rem 1rem;
    text-align: center;
    text-decoration: none;
    border-radius: 0.5rem;
}

.sba-search-pagination .page-numbers.current,
.sba-search-pagination .page-numbers:hover,
.sba-search-pagination .page-numbers:focus {
    background-color: var(--wp--preset--color--secondary);
    color: var(--wp--preset--color--primary-light);
}

/* Header search modal */
#sba-header-search-modal .usa-modal-overlay {
    padding: 0;
    background-color: white;
    backdrop-filter: blur(8px);
}

#sba-header-search-modal .usa-modal {
    max-width: var(--wp--style--global--content-size);
    width: calc(100% - 3rem);
    margin: 6vh auto;
    vertical-align: top;
    outline: none;

    @media (min-width: 680px) {
        margin: 25vh auto;
    }
}

#sba-header-search-modal .usa-modal__main {
    max-width: 100%;
    width: calc(100% - 2rem);
    padding: 1rem;

    @media (min-width: 680px) {
        width: calc(100% - 6rem);
        padding: 1rem 3rem 3rem;
    }
}

#sba-header-search-modal .usa-modal__close {
    font-size: 2rem;
    margin: -2rem 0 0 0;
}

.sba-search-suggestions-form {
    margin-top: var(--wp--preset--spacing--20);
}

.sba-search-suggestions {
    background-color: var(--wp--preset--color--base);
    border: 1px solid var(--wp--preset--color--neutral-300);
    border-radius: 0.5rem;
    margin-top: 1rem;
    max-height: 20rem;
    overflow-y: auto;
}

.sba-search-suggestions__item + .sba-search-suggestions__item {
    border-top: 1px solid var(--wp--preset--color--neutral-300);
}

.sba-search-suggestions__label {
    font-size: 0.9rem;
    text-transform: uppercase;
}

.sba-search-suggestions__link {
    display: block;
    position: relative;
    padding: 0.875rem 1rem;
    text-decoration: none;
    transition: all 0.1s ease-in-out;
    outline-offset: -0.25rem !important;
}

.sba-search-suggestions__link::before {
    background-color: currentColor;
    content: "";
    height: 1rem;
    left: 1rem;
    mask-image: url("../img/usa-icons/arrow_forward.svg");
    mask-position: center;
    mask-repeat: no-repeat;
    mask-size: contain;
    -webkit-mask-image: url("../img/usa-icons/arrow_forward.svg");
    -webkit-mask-position: center;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    opacity: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: opacity 0.1s ease-in-out;
    width: 1rem;
}

.sba-search-suggestions__link:hover::before,
.sba-search-suggestions__link:focus::before {
    opacity: 1;
}

.sba-search-suggestions__link:hover,
.sba-search-suggestions__link:focus {
    background-color: var(--wp--preset--color--primary-lighter, #f7f7f7);
    text-decoration: none;
    padding-left: 2.25rem;
    color: var(--wp--preset--color--primary);
}

.sba-search-suggestions__empty {
    color: var(--wp--preset--color--ink);
    font-size: var(--wp--preset--font-size--small);
    padding: 0.875rem 1rem;
}

.sba-search-result-post-type {
    font-size: 1rem;
    color: gray;
}

.wp-block-search__input {
    border-radius: 2rem;
    padding-inline: 1.2rem;
}
